Package javax.mail

# Class Quota

java.lang.Object
javax.mail.Quota

public class Quota extends Object
This class represents a set of quotas for a given quota root. Each quota root has a set of resources, represented by the `Quota.Resource` class. Each resource has a name (for example, "STORAGE"), a current usage, and a usage limit. See RFC 2087.

Since:
  JavaMail 1.4
Author:
  Bill Shannon

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Quota.Resource`
An individual resource in a quota root.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`quotaRoot`
The name of the quota root.
`Quota.Resource[]`
`resources`
The set of resources associated with this quota root.

## Constructor Summary

Constructors
Constructor
Description
`Quota(String quotaRoot)`
Create a Quota object for the named quotaroot with no associated resources.

## Method Summary

Modifier and Type
Method
Description
`void`
`setResourceLimit(String name, long limit)`
Set a resource limit for this quota root.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### quotaRoot

public String quotaRoot
The name of the quota root.

### resources

public Quota.Resource[] resources
The set of resources associated with this quota root.

## Constructor Details

### Quota

public Quota(String quotaRoot)
Create a Quota object for the named quotaroot with no associated resources.

Parameters:
  `quotaRoot` - the name of the quota root

## Method Details

### setResourceLimit

public void setResourceLimit(String name, long limit)
Set a resource limit for this quota root.

Parameters:
  `name` - the name of the resource
  `limit` - the resource limit